use Oasys
go
declare @accountId nvarchar(8)
declare @store nvarchar(3)
select @store = [STOR] from [dbo].[RETOPT]

set @accountId = 
(
	select  
		case @store 
			when '052' then '10081865'
			when '053' then '10081866'
			when '055' then '10081867'
			when '059' then '10081868'
			when '061' then '10081869'
			when '062' then '10081870'
			when '064' then '10081871'
			when '065' then '10081872'
			when '066' then '10081873'
			when '067' then '10081874'
			when '071' then '10081875'
			when '072' then '10081876'
			when '073' then '10081877'
			when '074' then '10081878'
			when '075' then '10081879'
			when '076' then '10081880'
			when '077' then '10081881'
			when '078' then '10081882'
			when '079' then '10081883'
			when '080' then '10081884'
			when '081' then '10081885'
			when '082' then '10081886'
			when '083' then '10081887'
			when '088' then '10081889'
			when '090' then '10081890'
			when '091' then '10081891'
			when '093' then '10081892'
			when '094' then '10081893'
			when '096' then '10081894'
			when '097' then '10081895'
			when '098' then '10081896'
			when '208' then '10081897'
			when '209' then '10081898'
			when '214' then '10081899'
			when '215' then '10081900'
			when '216' then '10081901'
			when '218' then '10081902'
			when '220' then '10081903'
			when '221' then '10081904'
			when '222' then '10081905'
			when '225' then '10081906'
			when '226' then '10081907'
			when '227' then '10081908'
			when '228' then '10081909'
			when '229' then '10081910'
			when '230' then '10081911'
			when '231' then '10081912'
			when '232' then '10081913'
			when '233' then '10081914'
			when '234' then '10081915'
			when '235' then '10081916'
			when '236' then '10081917'
			when '237' then '10081918'
			when '238' then '10081919'
			when '239' then '10081920'
			when '240' then '10081921'
			when '243' then '10081922'
			when '245' then '10081923'
			when '246' then '10081924'
			when '247' then '10081925'
			when '248' then '10081926'
			when '250' then '10081927'
			when '251' then '10081928'
			when '252' then '10081929'
			when '253' then '10081930'
			when '254' then '10081931'
			when '255' then '10081932'
			when '256' then '10081933'
			when '257' then '10081934'
			when '258' then '10081935'
			when '259' then '10081936'
			when '260' then '10081937'
			when '261' then '10081938'
			when '262' then '10081939'
			when '263' then '10081940'
			when '264' then '10081941'
			when '265' then '10081942'
			when '266' then '10081943'
			when '267' then '10081944'
			when '268' then '10081945'
			when '270' then '10081946'
			when '271' then '10081947'
			when '273' then '10081948'
			when '274' then '10081949'
			when '275' then '10081950'
			when '276' then '10081951'
			when '277' then '10081952'
			when '278' then '10081953'
			when '279' then '10081954'
			when '280' then '10081955'
			when '281' then '10081956'
			when '282' then '10081957'
			when '283' then '10081958'
			when '284' then '10081959'
			when '287' then '10081961'
			when '289' then '10081962'
			when '290' then '10081963'
			when '291' then '10081964'
			when '292' then '10081965'
			when '293' then '10081966'
			when '295' then '10081967'
			when '296' then '10081968'
			when '297' then '10081969'
			when '298' then '10081970'
			when '299' then '10081971'
			when '301' then '10081972'
			when '302' then '10081973'
			when '303' then '10081974'
			when '308' then '10081975'
			when '309' then '10081976'
			when '310' then '10081977'
			when '311' then '10081978'
			when '312' then '10081979'
			when '313' then '10081980'
			when '314' then '10081981'
			when '316' then '10081983'
			when '317' then '10081984'
			when '318' then '10081985'
			when '319' then '10081986'
			when '320' then '10081987'
			when '321' then '10081988'
			when '322' then '10081989'
			when '323' then '10081990'
			when '325' then '10081991'
			when '326' then '10081992'
			when '327' then '10081993'
			when '328' then '10081994'
			when '329' then '10081995'
			when '330' then '10081996'
			when '331' then '10081997'
			when '332' then '10081998'
			when '334' then '10081999'
			when '336' then '10082000'
			when '337' then '10082001'
			when '338' then '10082002'
			when '340' then '10082003'
			when '342' then '10082004'
			when '343' then '20013378'
			when '344' then '10082005'
			when '345' then '10082006'
			when '347' then '10082007'
			when '348' then '10082008'
			when '349' then '10082009'
			when '350' then '20020014'
			when '352' then '20035731'
			when '353' then '10082010'
			when '354' then '20020388'
			when '355' then '10082011'
			when '357' then '20013377'
			when '359' then '20015113'
			when '360' then '10082012'
			when '364' then '10082013'
			when '365' then '10082014'
			when '366' then '10082015'
			when '367' then '10082016'
			when '368' then '10082017'
			when '369' then '10082018'
			when '370' then '10082019'
			when '371' then '10082020'
			when '372' then '10082021'
			when '374' then '10082022'
			when '377' then '20021513'
			when '381' then '20016301'
			when '382' then '20031499'
			when '385' then '20021660'
			when '404' then '10082023'
			when '405' then '10082024'
			when '406' then '10082025'
			when '407' then '10082026'
			when '409' then '10082027'
			when '410' then '10082028'
			when '411' then '10082029'
			when '412' then '10082030'
			when '413' then '10082031'
			when '414' then '10082032'
			when '415' then '10082033'
			when '416' then '10082034'
			when '417' then '10082035'
			when '418' then '10082036'
			when '422' then '10082039'
			when '423' then '10082040'
			when '424' then '10082041'
			when '425' then '10082042'
			when '428' then '10082044'
			when '429' then '10082045'
			when '430' then '10082046'
			when '431' then '10082047'
			when '432' then '10082048'
			when '433' then '10082049'
			when '434' then '10082050'
			when '435' then '10082051'
			when '436' then '10082052'
			when '437' then '10082053'
			when '438' then '10082054'
			when '440' then '10082055'
			when '441' then '10082056'
			when '443' then '10082057'
			when '444' then '10082058'
			when '448' then '20018568'
			when '449' then '20018564'
			when '451' then '20018562'
			when '452' then '20018569'
			when '453' then '20018567'
			when '454' then '20018565'
			when '455' then '20018976'
			when '456' then '20018566'
			when '457' then '20018973'
			when '458' then '20018975'
			when '459' then '20018977'
			when '460' then '20018974'
			when '461' then '20018563'
			when '464' then '20036443'
			when '465' then '20026769'
			when '466' then '20028770'
			when '467' then '20038529'
			when '468' then '20031500'
			when '470' then '20034497'
			when '471' then '20034498'
			when '472' then '20034727'
			when '473' then '20036044'
			when '474' then '20040150'
			when '479' then '20040106'
			when '480' then '20040193'
			when '715' then '10082060'
			when '716' then '10082061'
			when '717' then '10082062'
			when '718' then '20016302'
			when '719' then '20016303'
			when '720' then '20016107'
			when '721' then '20016304'
			when '722' then '20016305'
			when '723' then '20021514'
			when '724' then '20021661'
			when '726' then '20032742'
			when '727' then '20036297'
			when '728' then '20037621'
			when '729' then '20037763'
			when '730' then '20039191'
			when '731' then '20040132'
		end  
)

update Parameters
set StringValue = @accountId
where ParameterID = 970021


